Nuance LabsDocs
ReferenceAPI overviewBrowser

Get a conversation

GET
/conversation/{conversation_id}

Reads a conversation's current state.

Authorization

sessionToken
headerAuthorizationBearer <token>

A session token your server minted, st_….

Path Parameters

conversation_id*string

The conversation's id.

Formatuuid

Response Body

Successful Response

application/json
  1. response

A conversation.

id*string

The conversation's id.

Formatuuid
status*ConversationStatus

Where the conversation is in its life.

Value in"created""ready""queued""admitted""connecting""connected""ended""failed""expired"
created_at*string

When it was created (UTC).

Formatdate-time
updated_at*string

When its status last changed (UTC).

Formatdate-time
curl -X GET 'https://api.nuancelabs.ai/conversation/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "created",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}